org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.match

## Class MatchOfContainmentReferenceChangeProcessor

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.match.MatchOfContainmentReferenceChangeProcessor

    public class MatchOfContainmentReferenceChangeProcessor
    extends Object

Process a comparison to detect `Match`es related to containment ReferenceChange. Add a `MatchOfContainmentReferenceChangeAdapter` on such Matches.

### Constructor Summary

Constructors
Constructor and Description
`MatchOfContainmentReferenceChangeProcessor()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkForMatchRelatedToContainmentReferenceChange(Match match)` Check if the given `Match` is related to a containment ReferenceChange.
`void` `execute(Comparison comp)` Check for the given `Comparison`, if `Match`es are related to a containment ReferenceChange.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatchOfContainmentReferenceChangeProcessor

    public MatchOfContainmentReferenceChangeProcessor()

Constructor.

### Method Detail

#### execute

    public void execute(Comparison comp)

Check for the given `Comparison`, if `Match`es are related to a containment ReferenceChange. If it is add a `MatchOfContainmentReferenceChangeAdapter` to these `Match`es.

Parameters:
  `comp` - The `Comparison` to check.

#### checkForMatchRelatedToContainmentReferenceChange

    protected void checkForMatchRelatedToContainmentReferenceChange(Match match)

Check if the given `Match` is related to a containment ReferenceChange. If it is add a `MatchOfContainmentReferenceChangeAdapter` to this `Match`. Also check for all sub-matches of the given `Match`.

Parameters:
  `match` - The `Match` to check